]> git.pld-linux.org Git - packages/freeradius.git/commitdiff
- new
authorArkadiusz Miśkiewicz <arekm@maven.pl>
Fri, 9 Aug 2002 16:11:06 +0000 (16:11 +0000)
committercvs2git <feedback@pld-linux.org>
Sun, 24 Jun 2012 12:13:13 +0000 (12:13 +0000)
Changed files:
    freeradius.init -> 1.1
    freeradius.logrotate -> 1.1
    freeradius.pam -> 1.1

freeradius.init [new file with mode: 0644]
freeradius.logrotate [new file with mode: 0644]
freeradius.pam [new file with mode: 0644]

diff --git a/freeradius.init b/freeradius.init
new file mode 100644 (file)
index 0000000..a963a7f
--- /dev/null
@@ -0,0 +1,79 @@
+#!/bin/sh
+#
+# chkconfig: - 88 10
+# description: Start/Stop the RADIUS server daemon
+#
+#    This program is free software; you can redistribute it and/or modify
+#    it under the terms of the GNU General Public License as published by
+#    the Free Software Foundation; either version 2 of the License, or
+#    (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU General Public License for more details.
+#
+#    You should have received a copy of the GNU General Public License
+#    along with this program; if not, write to the Free Software
+#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+#
+#    Copyright (C) 2001 The FreeRADIUS Project   http://www.freeradius.org
+#
+
+# Source function library.
+. /etc/rc.d/init.d/functions
+
+RADIUSD=/usr/sbin/radiusd
+LOCKF=/var/lock/subsys/radiusd
+CONFIG=/etc/raddb/radiusd.conf
+
+[ -f $RADIUSD ] || exit 0
+[ -f $CONFIG ] || exit 0
+
+RETVAL=0
+
+case "$1" in
+  start)
+       echo -n $"Starting RADIUS server: "
+       daemon $RADIUSD -y
+       RETVAL=$?
+       echo
+       [ $RETVAL -eq 0 ] && touch $LOCKF
+       ;;
+  stop)
+       echo -n $"Stopping RADIUS server: "
+       killproc $RADIUSD
+       RETVAL=$?
+       echo
+       [ $RETVAL -eq 0 ] && rm -f $LOCKF
+       ;;
+  status)
+       status radiusd
+       RETVAL=$?
+        ;;
+  reload)
+       echo -n $"Reloading RADIUS server: "
+       killproc $RADIUSD -HUP
+       RETVAL=$?
+       echo
+       ;;
+  restart)
+       $0 stop
+       sleep 3
+       $0 start
+       RETVAL=$?
+       ;;
+  condrestart)
+       if [ -f $LOCKF ]; then
+               $0 stop
+               sleep 3
+               $0 start
+               RETVAL=$?
+       fi
+       ;;
+  *)
+       echo $"Usage: $0 {start|stop|status|restart|reload|condrestart}"
+       exit 1
+esac
+
+exit $RETVAL
diff --git a/freeradius.logrotate b/freeradius.logrotate
new file mode 100644 (file)
index 0000000..ed46f93
--- /dev/null
@@ -0,0 +1,55 @@
+# You can use this to rotate the /var/log/freeradius/* files, simply copy
+# it to /etc/logrotate.d/radiusd
+
+# Last part should reload the server
+
+/var/log/freeradius/radacct/*/detail {
+       monthly
+       rotate 4
+       create
+       missingok
+       compress
+}
+
+/var/log/freeradius/checkrad.log {
+       monthly
+       rotate 4
+       create
+       missingok
+       compress
+}
+
+/var/log/freeradius/radius.log {
+       monthly
+       rotate 4
+       create
+       missingok
+       compress
+}
+
+/var/log/freeradius/radwatch.log {
+       monthly
+       rotate 4
+       create
+       missingok
+       compress
+}
+
+/var/log/freeradius/radutmp {
+       monthly
+       rotate 4
+       create
+       compress
+       missingok
+}
+
+/var/log/freeradius/radwtmp {
+       monthly
+       rotate 4
+       create
+       compress
+       missingok
+       postrotate
+               /etc/rc.d/init.d/radiusd condrestart
+       endscript
+}
diff --git a/freeradius.pam b/freeradius.pam
new file mode 100644 (file)
index 0000000..a4dd2b5
--- /dev/null
@@ -0,0 +1,7 @@
+#%PAM-1.0
+auth       required    /lib/security/pam_unix_auth.so shadow nullok
+auth       required    /lib/security/pam_nologin.so
+account    required    /lib/security/pam_unix_acct.so
+password   required    /lib/security/pam_cracklib.so
+password   required    /lib/security/pam_unix_password.so shadow nullok use_authtok
+session    required    /lib/security/pam_unix_session.so
This page took 0.029753 seconds and 4 git commands to generate.